net.sf.jasperreports.engine.type

## Enum LineSpacingEnum

- java.lang.Object
- - java.lang.Enum<LineSpacingEnum>
  - - net.sf.jasperreports.engine.type.LineSpacingEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LineSpacingEnum>, JREnum, NamedEnum

      public enum LineSpacingEnum
      extends java.lang.Enum<LineSpacingEnum>
      implements JREnum

  Version:
    $Id: LineSpacingEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AT_LEAST` Constant for setting spacing between lines to at least a specified size.
    `DOUBLE` Constant for setting spacing between lines to double size.
    `FIXED` Constant for setting spacing between lines to a specified size.
    `ONE_AND_HALF` Constant for setting spacing between lines to 50% more than normal.
    `PROPORTIONAL` Constant for setting spacing between lines to a specified proportion of the normal line spacing.
    `SINGLE` Constant for setting normal spacing between lines.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LineSpacingEnum` | `getByName(java.lang.String name)`
    `static LineSpacingEnum` | `getByValue(byte value)`
    `static LineSpacingEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static LineSpacingEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LineSpacingEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE

          public static final LineSpacingEnum SINGLE

      Constant for setting normal spacing between lines.

    - #### ONE_AND_HALF

          public static final LineSpacingEnum ONE_AND_HALF

      Constant for setting spacing between lines to 50% more than normal.

    - #### DOUBLE

          public static final LineSpacingEnum DOUBLE

      Constant for setting spacing between lines to double size.

    - #### AT_LEAST

          public static final LineSpacingEnum AT_LEAST

      Constant for setting spacing between lines to at least a specified size.

    - #### FIXED

          public static final LineSpacingEnum FIXED

      Constant for setting spacing between lines to a specified size.

    - #### PROPORTIONAL

          public static final LineSpacingEnum PROPORTIONAL

      Constant for setting spacing between lines to a specified proportion of the normal line spacing.

  - ### Method Detail

    - #### values

          public static LineSpacingEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LineSpacingEnum c : LineSpacingEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LineSpacingEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static LineSpacingEnum getByName(java.lang.String name)

    - #### getByValue

          public static LineSpacingEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static LineSpacingEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com